Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004570TestLinkUsers and Rightspublic2011-06-05 09:462015-04-26 21:42
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 Alpha 2 
Fixed in Version1.9.13 (2015 #1) 
Summary0004570: Assign role in test plan create dead lock
Description1. user has defautl role Admin
2. user assign himself on "Test plan A" role 'NO RIGHTS'
3. Now user wants to change his role on "Test plan A" to tester
HE CAN'T!!! because on code we are checking right on specific role ON TEST PLAN and this role has NO RIGHTS.

Solution
When assigning roles on test plans check only rights at test project level.

Note for dev team
Surely this has to make us thing about if assigning ADMIN role at test plan level has any sense.

          
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0023220)
Mr.Bricodage (updater)
2015-04-26 16:51

ok in TL 1.9.13, 2.0 Alpha 3 will never be published

- Issue History
Date Modified Username Field Change
2011-06-05 09:46 fman New Issue
2011-06-05 09:46 fman Status new => assigned
2011-06-05 09:46 fman Assigned To => fman
2011-06-05 09:46 fman Issue generated from: 0004560
2011-06-05 09:47 fman Product Version 2.0 Alpha 3 => 2.0 Alpha 2
2011-06-05 09:47 fman Fixed in Version => 2.0 Alpha 3
2015-04-26 15:27 Mr.Bricodage Relationship added child of 0007083
2015-04-26 16:51 Mr.Bricodage Note Added: 0023220
2015-04-26 21:42 fman QA Team - Task Workflow Status => TBD
2015-04-26 21:42 fman Status assigned => closed
2015-04-26 21:42 fman Resolution open => fixed
2015-04-26 21:42 fman Fixed in Version 2.0 Alpha 3 => 1.9.13 (2015 #1)
2015-04-28 18:00 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker